Bug 571436 - [abrt] crash in rtorrent-0.8.6-2.fc12: Process /usr/bin/rtorrent was killed by signal 6 (SIGABRT)
[abrt] crash in rtorrent-0.8.6-2.fc12: Process /usr/bin/rtorrent was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rtorrent (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
abrt_hash:42cf9f78a5f6e1e7b1b2f3db5c3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 09:39 EST by Scott Tsai
Modified: 2010-12-03 12:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:43:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.06 KB, text/plain)
2010-03-08 09:39 EST, Scott Tsai
no flags Details

  None (edit)
Description Scott Tsai 2010-03-08 09:39:24 EST
abrt 1.0.7 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: rtorrent
component: rtorrent
executable: /usr/bin/rtorrent
kernel: 2.6.31.12-174.2.22.fc12.x86_64
package: rtorrent-0.8.6-2.fc12
rating: 3
reason: Process /usr/bin/rtorrent was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
This bug is not easy to reproduce.
From the backtrace, I think rtorrent aborts while calculating the checksum of a recently finished download.
Comment 1 Scott Tsai 2010-03-08 09:39:27 EST
Created attachment 398535 [details]
File: backtrace
Comment 2 Conrad Meyer 2010-03-08 21:50:44 EST
Yeah, I have no idea what's going on from the backtrace. Have you already filed this with upstream rtorrent, or shall I?
Comment 3 Scott Tsai 2010-03-08 22:05:12 EST
> Have you already filed this with upstream rtorrent

I haven't and would really appreciate it if you could file the bug for me.
Comment 4 Conrad Meyer 2010-03-08 22:26:31 EST
Sure, no problem.

I suspect maybe we're seeing http://libtorrent.rakshasa.no/ticket/1648 .
Comment 5 Scott Tsai 2010-03-23 14:04:08 EDT

Comment
-----
This is problem is not easy to reproduce. Something bad happend in the x86-64 assembly implementation of sha1_block_data_order() in libcrypto.so?
Comment 6 Scott Tsai 2010-04-01 16:08:47 EDT

Comment
-----
From rtorrent output, it caught SIGSEGV and aborted.
Apparently sha1_block_data_order() in libcrypto.so segfaults quite  a bit on my machine.
I haven't read the libcrypto code at  sha1-x86_64.s:186
Comment 7 Bug Zapper 2010-11-03 16:27:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 12:43:28 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.